# $Revision: 1.18 $, $Date: 2002/02/25 10:31:20 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	File
%define	pnam	Flock
Summary:	File-Flock perl module
Summary(pl):	Modu perla File-Flock
Name:		perl-File-Flock
Version:	101.060501
Release:	3
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::Flock is a wrapper around the flock() call.

%description -l pl
File::Flock umoliwia korzystanie z wywoania flock().

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf README CHANGELOG

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%{perl_sitelib}/File/Flock.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-File-Flock.spec,v $
Revision 1.18  2002/02/25 10:31:20  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:13:56  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:26:04  depesz
adapterized

Revision 1.14  2002/01/18 02:14:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/06/06 16:24:50  mis
- autoupdated to 101.060501

Revision 1.12  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.11  2001/04/17 12:08:50  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/02/05 21:08:55  kloczek
- updated to 100.092501.

Revision 1.8  2001/01/03 21:16:07  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:51  baggins
- translated kloczkish into english

Revision 1.2  2000/02/17 20:44:06  pius
- updated to 99.121701

Revision 1.1  1999/11/06 00:52:08  pius
- initial release
